Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control.messages
[Java] Class SimpleMessage

    java.lang.Object
      org.codehaus.groovy.control.messages.Message
          org.codehaus.groovy.control.messages.SimpleMessage

    public class SimpleMessage
    extends Message

A base class for compilation messages.

Authors:
  Chris Poirier

Version:
  \$Id\$

Field Summary
`protected java.lang.Object` | `data`
`protected java.lang.String` | `message`
`protected ProcessingUnit` | `owner`

Constructor Summary
`SimpleMessage(java.lang.String message, ProcessingUnit source)`
`SimpleMessage(java.lang.String message, java.lang.Object data, ProcessingUnit source)`

Method Summary
`java.lang.String` | `getMessage()`
`void` | `write(java.io.PrintWriter writer, Janitor janitor)`

Methods inherited from class Message
create, create, create, write, write

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### data

    protected java.lang.Object data

### message

    protected java.lang.String message

### owner

    protected ProcessingUnit owner

Constructor Detail

### SimpleMessage

    public SimpleMessage(java.lang.String message, ProcessingUnit source)

### SimpleMessage

    public SimpleMessage(java.lang.String message, java.lang.Object data, ProcessingUnit source)

Method Detail

### getMessage

    public java.lang.String getMessage()

### write

    public void write(java.io.PrintWriter writer, Janitor janitor)

Groovy Documentation